verilator (5.032-1) unstable; urgency=medium

  * [d2147ea] New upstream version 5.032
  * [e588f4f] d/changelog: remove trailing whitespace
  * [478093e] Add fix-man-whatis.patch to create manpages with useful whatis
    entry
  * [a2cfaf5] Re-add lintian overrides for spelling mistakes false positives.
    It seems they were removed by mistake

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 04 Jan 2025 14:43:08 +0100

verilator (5.030-4) unstable; urgency=medium

  * [125f871] d/t/control: fix Architecture specification

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 30 Dec 2024 13:49:38 +0100

verilator (5.030-3) unstable; urgency=medium

  * [47e42d0] Fix last changelog entry
  * [da80588] d/tests/control: exclude armel architecture.
    See: https://github.com/verilator/verilator/issues/5706

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 29 Dec 2024 13:22:39 +0100

verilator (5.030-2) unstable; urgency=medium

  * [f0f19fb] Add make-hello-c test
  * [1c1671f] d/control: add g++ dependency
  * [d46d849] d/control: add ccache to deps
  * [d72c87e] d/rules: Remove override_dh_install target
    upstream no longer installs arch specific binaries in data_dir/bin, but it
    installs some required scripts there (Closes: #1090785, #10714250)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 19 Dec 2024 16:24:40 +0100

verilator (5.030-1) unstable; urgency=medium

  * [b3eba13] New upstream version 5.030 (Closes: #1071425)
  * [77e508e] Update copyright years
  * [2f79e2d] d/changelog: remove trailing whitespace

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 09 Dec 2024 18:16:56 +0100

verilator (5.024-1) unstable; urgency=medium

  * Team upload.
  * [6494ad2] New upstream version 5.024
  * [cd7e535] d/rules: Add target override_dh_install
  * [46fe05b] d/control: Use the Recommends only on some architectures
  * [b2657af] d/verilator.lintian-overrides: Update the overrides
  * [beddf5b] d/control: Bump Standards-Version to 4.7.0
    No further modifications needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 10 May 2024 18:56:00 +0200

verilator (5.020-1) unstable; urgency=medium

  * Team upload

  [ Adrian Bunk ]
  * [ab21150] Use -g1 to work around mipsel address space limitation

  [ Carsten Schoenert ]
  * [3f5e8c3] New upstream version 5.020
    (Closes: #1053383)
  * [e2c5fd7] Rebuild patch queue from patch-queue branch
    Removed patches (included upstream):
    fix-typos.patch
    remove-gtag.js.patch
  * [b782632] d/copyright: Update year data
  * [ed077bf] d/verilator.lintian-overrides: Adjust override to 'wTH'

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 13 Jan 2024 09:54:40 +0100

verilator (5.012-1) unstable; urgency=medium

  * [bbe4c20] New upstream version 5.012
  * [988bc5e] Add fix-typos.patch to fix a typo
  * [ffd7dca] Add remove-gtag.js.patch to avoid inclusion of gtag.js in
    generated HTML docs
  * Upload to unstable

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 02 Jul 2023 22:36:32 +0200

verilator (5.010-1) experimental; urgency=medium

  * Team upload
  * [01cc06b] New upstream version 5.010

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 14 May 2023 09:57:17 +0200

verilator (5.008-1) experimental; urgency=medium

  * Team upload
  [ Dmitry Shachnev ]
  * [38e486b] Move ${sphinxdoc:Built-Using} to the correct field.
    (Closes: #1033667)

  [ Carsten Schoenert ]
  * [0a50071] New upstream version 5.008
    (Closes: #1030913)
  * [bb4558b] Rebuild patch queue from patch-queue branch
    Removed patches (included upstream):
    Add-SOURCE_DATE_EPOCH-for-docs-guide-conf.py-3918.patch
    (Closes: #1031711)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 30 Mar 2023 19:48:21 +0200

verilator (5.006-2) unstable; urgency=medium

  * Team upload
  * Rebuild patch queue from patch-queue branch
    Added patch:
    Add-SOURCE_DATE_EPOCH-for-docs-guide-conf.py-3918.patch
    Make the package build reproducible again by using this upstream
    modification.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 07 Feb 2023 17:17:27 +0100

verilator (5.006-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.006
  * Rebuild patch queue from patch-queue branch
    Removed patches (included upstream):
    Add-manpages-for-missing-user-commands-using-help2man.patch
    Fix-VL_CPU_RELAX-on-MIPS-Armel-s390-sparc-3891.patch
    Fix-to-use-same-std-flag-in-Verilator-and-Verilated-desig.patch
  * d/u/metadata: Adjust repository URL data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 25 Jan 2023 17:52:48 +0100

verilator (5.004-2) unstable; urgency=medium

  * Team upload
  * Rebuild patch queue from patch-queue branch
    Added patch:
    Fix-VL_CPU_RELAX-on-MIPS-Armel-s390-sparc-3891.patch
  * d/rules: Re-add override_dh_auto_test
    dh_auto_test is failing on some architectures, for now ignore these
    architectures.
  * d/rules: Hack around keep original version config_rev
    The file src/config_rev is used to create the file src/config_rev.h.
    We modify the source file in d/rules which let dpkg-source detect unwanted
    modifications in case we try to build the twice. This adds a hack to work
    around this.
  * d/rules: Tune modification of version string data
    Use "(Debian $(DEB_VERSION))" instead of "none" in the version string.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 21 Jan 2023 11:08:36 +0100

verilator (5.004-1) unstable; urgency=medium

  * Team upload

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream version 4.038

  [ Steffen Möller ]
  * Update metadata - added refs to conda and guix

  [ Carsten Schoenert ]
  * d/gbp.conf: Adding default data for git-buildpackage
  * New upstream version 5.004
    This version is a new major release of verilator. It has significant
    changes and new feature. For an overview of the changes please have
    a look at https://github.com/verilator/verilator/blob/master/Changes
    or into the offline documentation shipped within the package at
    file:///usr/share/doc/verilator/html/changes.html or
    file:///usr/share/doc/verilator/verilator.pdf.
  * Rebuild patch queue from patch-queue branch
    Added patches:
    Add-manpages-for-missing-user-commands-using-help2man.patch
    Fix-to-use-same-std-flag-in-Verilator-and-Verilated-desig.patch
    Removed patches (included upstream):
    bison-3.7.patch
    reproducible_build.diff
    Removed patch (obsolete due upstream changes):
    interpreter.patch
  * d/*: Running wrap-and-sort -ast
  * d/{docs, doc-base}: Renamed to verilator.{docs, doc-base}
  * d/control: Add new build dependencies
    Due changes by upstream some new build dependencies are now required
    to build the documentation ans man pages.
  * d/control: Add additional Depends for verilator
    Some files of verilator are depending on Python 3 or Perl available
    on the system, the sphinxdoc sequencer requires also some additional
    installed packages for getting the HTML documentation usable.
  * d/rules: Update/add/modify various targets
    Tune the targets so we produce all related files and prepare the package
    installation.
  * d/verilator.docs: Updating due upstream changes
    Adjustments needed to get the correct files installed.
  * d/verilator.doc-base: Rewrite due upstream changes
  * d/watch: Move over to version 4 and git mode on GitHub
  * d/copyright: Update year data
  * d/u/metadate: Adjust and add some new data
  * d/verilator.lintian-overrides: Add stuff we can ignore
  * d/s/lintian-overrides: Ignore too some source related stuff
  * d/control: Bump Standards-Version to 4.6.2
    No further modifications needed.
  * CI: Rename to salsa-ci.yml
  * d/rules: Drop override for dh_auto_test
  * d/rules: s/UNKNOWN_REV/none in version string
  * d/README.source: Add basic information about source

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 18 Jan 2023 18:39:22 +0100

verilator (4.038-1) unstable; urgency=medium

  * New upstream version 4.038
    + Fix test suite failure on 32-bit archs. (Closes: #962855)
  * Refresh patches
  * Add bison-3.7.patch to fix build problem with bison 3.7 (Closes: #966909)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 27 Aug 2020 07:31:46 +0200

verilator (4.036-1) unstable; urgency=medium

  * New upstream version 4.036
  * Refreshed reproducible_build.diff and typos.patch.
  * Dropped bison-3.6.1-fix.patch, applied upstream
  * d/rules: let SYSTEMC_* be auto-detected by upstream configure script

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 13 Jun 2020 13:50:36 +0200

verilator (4.034-2) unstable; urgency=medium

  * Update upstream metadata: update Bug-Database, add Bug-Submit
  * Unapply quilt patches
  * Add bison-3.6.2-fix.patch to fix FTBFS with bison 3.6.1 (Closes: #960480)
  * Bumped to compat level 13
  * Added typos.patch to fix spelling mistakes

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 25 May 2020 17:02:56 +0200

verilator (4.034-1) unstable; urgency=medium

  * New upstream version 4.030
  * Refresh patches

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 09 May 2020 16:41:52 +0200

verilator (4.028-1) unstable; urgency=medium

  * New upstream version 4.028
  * Update standards version to 4.5.0
  * Drop typos.diff patch, applied upstream
  * Add interpreter.patch to set perl interpreter path

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 09 Feb 2020 17:10:40 +0100

verilator (4.026-1) unstable; urgency=medium

  * New upstream version 4.026
  * Drop shebang.diff patch, no longer needed.
  * Refresh typos.diff patch
  * Update copyright years
  * Forward typos.diff patch upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 12 Jan 2020 03:06:03 +0100

verilator (4.024-1) unstable; urgency=medium

  * New upstream version 4.024

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 19 Dec 2019 11:35:04 +0100

verilator (4.022-2) unstable; urgency=medium

  * Add python3 to build-deps

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 01 Dec 2019 03:57:25 +0100

verilator (4.022-1) unstable; urgency=medium

  * New upstream version 4.022
  * Update watch URL
  * Updated typos.diff patch

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 30 Nov 2019 17:05:26 +0100

verilator (4.020-1) unstable; urgency=medium

  * Imported Upstream version 4.020
  * Update standards version to 4.4.1
  * Add Rules-Requires-Root: no
  * Refresh patches.
  * Remove fix_test.diff patch, applied upstream
  * Forward typos.diff patch to upstream
  * d/docs: install internals.adoc

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 19 Oct 2019 09:12:41 +0200

verilator (4.018-1) unstable; urgency=medium

  * Imported Upstream version 4.018
  * Removed system-flags.diff patch, applied upstream.
  * Refresh typos.diff patch.
  * Add fix_test.diff patch from upstream, to fix a failure during 'make test'
  * Update standards version to 4.4.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 05 Sep 2019 04:16:40 +0200

verilator (4.016-3) unstable; urgency=medium

  * Add system-flags.diff patch to honour system flags. (Closes: #931492)
    Thanks to Gianfranco Costamagna <locutusofborg@debian.org>

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 07 Jul 2019 02:53:30 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog verilator`.
